<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_PriceInformationPackage StructType
 * @subpackage Structs
 */
class JP_PriceInformationPackage extends AbstractStructBase
{
    /**
     * The PackageInfo
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_PackageInfo
     */
    public $PackageInfo;
    /**
     * The Stays
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_PackageStay
     */
    public $Stays;
    /**
     * The AdditionalElements
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_PackageAdditionalElements
     */
    public $AdditionalElements;
    /**
     * The Prices
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_Price
     */
    public $Prices;
    /**
     * The AFIPInformation
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_PackageInfoAFIPAmount
     */
    public $AFIPInformation;
    /**
     * Constructor method for JP_PriceInformationPackage
     * @uses JP_PriceInformationPackage::setPackageInfo()
     * @uses JP_PriceInformationPackage::setStays()
     * @uses JP_PriceInformationPackage::setAdditionalElements()
     * @uses JP_PriceInformationPackage::setPrices()
     * @uses JP_PriceInformationPackage::setAFIPInformation()
     * @param \StructType\JP_PackageInfo $packageInfo
     * @param \ArrayType\ArrayOfJP_PackageStay $stays
     * @param \StructType\JP_PackageAdditionalElements $additionalElements
     * @param \ArrayType\ArrayOfJP_Price $prices
     * @param \ArrayType\ArrayOfJP_PackageInfoAFIPAmount $aFIPInformation
     */
    public function __construct(\StructType\JP_PackageInfo $packageInfo = null, \ArrayType\ArrayOfJP_PackageStay $stays = null, \StructType\JP_PackageAdditionalElements $additionalElements = null, \ArrayType\ArrayOfJP_Price $prices = null, \ArrayType\ArrayOfJP_PackageInfoAFIPAmount $aFIPInformation = null)
    {
        $this
            ->setPackageInfo($packageInfo)
            ->setStays($stays)
            ->setAdditionalElements($additionalElements)
            ->setPrices($prices)
            ->setAFIPInformation($aFIPInformation);
    }
    /**
     * Get PackageInfo value
     * @return \StructType\JP_PackageInfo|null
     */
    public function getPackageInfo()
    {
        return $this->PackageInfo;
    }
    /**
     * Set PackageInfo value
     * @param \StructType\JP_PackageInfo $packageInfo
     * @return \StructType\JP_PriceInformationPackage
     */
    public function setPackageInfo(\StructType\JP_PackageInfo $packageInfo = null)
    {
        $this->PackageInfo = $packageInfo;
        return $this;
    }
    /**
     * Get Stays value
     * @return \ArrayType\ArrayOfJP_PackageStay|null
     */
    public function getStays()
    {
        return $this->Stays;
    }
    /**
     * Set Stays value
     * @param \ArrayType\ArrayOfJP_PackageStay $stays
     * @return \StructType\JP_PriceInformationPackage
     */
    public function setStays(\ArrayType\ArrayOfJP_PackageStay $stays = null)
    {
        $this->Stays = $stays;
        return $this;
    }
    /**
     * Get AdditionalElements value
     * @return \StructType\JP_PackageAdditionalElements|null
     */
    public function getAdditionalElements()
    {
        return $this->AdditionalElements;
    }
    /**
     * Set AdditionalElements value
     * @param \StructType\JP_PackageAdditionalElements $additionalElements
     * @return \StructType\JP_PriceInformationPackage
     */
    public function setAdditionalElements(\StructType\JP_PackageAdditionalElements $additionalElements = null)
    {
        $this->AdditionalElements = $additionalElements;
        return $this;
    }
    /**
     * Get Prices value
     * @return \ArrayType\ArrayOfJP_Price|null
     */
    public function getPrices()
    {
        return $this->Prices;
    }
    /**
     * Set Prices value
     * @param \ArrayType\ArrayOfJP_Price $prices
     * @return \StructType\JP_PriceInformationPackage
     */
    public function setPrices(\ArrayType\ArrayOfJP_Price $prices = null)
    {
        $this->Prices = $prices;
        return $this;
    }
    /**
     * Get AFIPInformation value
     * @return \ArrayType\ArrayOfJP_PackageInfoAFIPAmount|null
     */
    public function getAFIPInformation()
    {
        return $this->AFIPInformation;
    }
    /**
     * Set AFIPInformation value
     * @param \ArrayType\ArrayOfJP_PackageInfoAFIPAmount $aFIPInformation
     * @return \StructType\JP_PriceInformationPackage
     */
    public function setAFIPInformation(\ArrayType\ArrayOfJP_PackageInfoAFIPAmount $aFIPInformation = null)
    {
        $this->AFIPInformation = $aFIPInformation;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_PriceInformationPackage
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
